> For the complete documentation index, see [llms.txt](https://docs.devm.cc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devm.cc/ebt-card/installation.md).

# Installation

1. Download the resource
   * Download the purchased resource from [keymaster](https://keymaster.fivem.net/asset-grants), FiveM's official hub for downloading purchased resources

2. Install Dependencies

   | Resource                 | Download Link                                  |
   | ------------------------ | ---------------------------------------------- |
   | ox\_lib                  | <https://github.com/overextended/ox_lib>       |
   | ox\_inventory (v2.40.0+) | <https://github.com/overextended/ox_inventory> |
   | devm-bridge              | <https://keymaster.fivem.net/asset-grants>     |

3. Navigate to `ox_inventory/modules/shop` and drag the contents of our shops folder from `_INSTALL FIRST/shops` to replace everything in that folder

4. Run the following sql file which can also be found in `_INSTALL FIRST`

```sql
CREATE TABLE `ebt_applications` (
	`identifier` VARCHAR(50) NOT NULL COLLATE 'utf8mb3_general_ci',
	`applied_at` TIMESTAMP NULL DEFAULT current_timestamp(),
	PRIMARY KEY (`identifier`) USING BTREE
)
COLLATE='utf8mb3_general_ci'
ENGINE=InnoDB
;
INSERT INTO `job_grades` (`id`, `job_name`, `grade`, `name`, `label`, `salary`, `skin_male`, `skin_female`) VALUES (41, 'socialworker', 0, 'worker', 'Support', 0, '{}', '{}');
```

5. Install the following item into `ox_inventory/data/items.lua`

```lua
['ebt_card'] = {
	label = 'EBT Card',
	server = {
		export = 'devm-ebt.ebt_card'
	}
},
```

6. Drag the ebt\_card.png image from `_INSTALL FIRST` *to* `ox_inventory/web/images`
7. You have now installed the EBT Card script. To make an item eligible to be purchased with an EBT card, put `ebt = true` under the item in `ox_inventory/data/items.lua` like this

<pre class="language-lua"><code class="lang-lua"><strong>['burger'] = {
</strong>	label = 'Burger',
	weight = 220,
	ebt = true, -- add this 
	client = {
		status = { hunger = 200000 },
		anim = 'eating',
		prop = 'burger',
		usetime = 2500,
		notification = 'You ate a delicious burger'
	},
},
</code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devm.cc/ebt-card/installation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
